<p align="center"> 
	<img src="https://github.com/VishnuSanal/WhatsAppCleaner/blob/main/fastlane/metadata/android/en-US/images/icon.png" width=160 height=160>
</p>

<h1 align="center">
	WhatsAppCleaner
</h1>

<p align="center">
	Cleaner for WhatsApp - Clean Redundant Media and Files from Storage
</p>

<p align="center">

<a href='https://f-droid.org/packages/com.vishnu.whatsappcleaner'>
	<img alt='Get it on F-Droid' src='https://fdroid.gitlab.io/artwork/badge/get-it-on.svg' height="100px" />
</a>

<a href="https://github.com/VishnuSanal/WhatsAppCleaner/releases/">
	<img alt="Get it on Github" src="https://github.com/VishnuSanal/Quotes/assets/50027064/c6777889-90a3-4a72-b138-9735822933ab" height="100px">
</a>

</p>

<p align="center">
	
<a href="https://www.producthunt.com/posts/whatsapp-cleaner?embed=true&utm_source=badge-featured&utm_medium=badge&utm_souce=badge-whatsapp&#0045;cleaner" target="_blank">
	<img src="https://api.producthunt.com/widgets/embed-image/v1/featured.svg?post_id=938571&theme=light&t=1741181734690" alt="WhatsApp&#0032;Cleaner - Clean&#0032;WhatsApp&#0039;s&#0032;Redundant&#0032;Media&#0032;and&#0032;Files&#0032;from&#0032;Storage | Product Hunt" style="width: 250px; height: 54px;" width="250" height="54" />
</a>

</p>

<!--
<a href="https://hosted.weblate.org/engage/quotes-status-creator/">
  <img src="https://hosted.weblate.org/widgets/quotes-status-creator/-/quotes-status-creator/horizontal-auto.svg" alt="Translation status" />
</a>
-->

<hr>

![WhatsAppCleaner](https://github.com/VishnuSanal/WhatsAppCleaner/blob/main/fastlane/metadata/android/en-US/images/featureGraphic.png?raw=true)

## Enjoying WhatsAppCleaner? Consider Supporting!
Consider donating to support the development! It requires a lot of time and effort to develop the
copylefted libre software app, gratis and ad-free. :D

<p align="center">
  <a href="https://www.buymeacoffee.com/VishnuSanal">
    <img src="https://cdn.buymeacoffee.com/buttons/v2/default-yellow.png" alt="Buy Me A Coffee" height="60px">
  </a>
</p>

## Join Telegram Group
If you enjoy the app, wish to contribute or simply wish to be with like-minded people, come join us. It is fun :)

<p align="center">
  <a href="https://t.me/QuotesStatusCreator">
	<img src="https://img.shields.io/badge/Telegram-2CA5E0?style=for-the-badge&logo=telegram&logoColor=white" alt="Join us on Telegram" height="60px">
  </a>
</p>

## Why?

Hi, I have been developing open-source native Android products for a while now. I have seen many Android devices with storage running out; most of the time all they needed were to clean-up the storage consumed by WhatsApp. I had searched for an application for the same, but I couldn't find any actually working ones on Google Play nor FDroid, but none seemed to work fine, mostly limited due to Android's varying permission requirements for different versions. And I decided to build one! :)

<!-- 
## Contribute to the project
[CONTRIBUTING.md](https://github.com/VishnuSanal/Quotes/blob/main/CONTRIBUTING.md) would a good place to start :)
-->

<hr>

<!-- 
## Libraries Used

- [Volley](https://github.com/google/volley)
- [Gson](https://github.com/google/gson)
- [Picasso](https://square.github.io/picasso/)
- [uCrop](https://github.com/Yalantis/uCrop)
- [Dexter](https://github.com/Karumi/Dexter)
- [slidetoact](https://github.com/cortinico/slidetoact)
- [RecyclerViewSwipeDecorator](https://github.com/xabaras/RecyclerViewSwipeDecorator)
- [ColorPickerView](https://github.com/skydoves/ColorPickerView)
- [AndroidUnplash](https://github.com/KeenenCharles/AndroidUnplash)
- [ACRA](https://github.com/ACRA/acra)
-->

## Screenshots

<p align="center">

<img src="https://github.com/VishnuSanal/WhatsAppCleaner/blob/main/fastlane/metadata/android/en-US/images/phoneScreenshots/1.png" height=200/>
<img src="https://github.com/VishnuSanal/WhatsAppCleaner/blob/main/fastlane/metadata/android/en-US/images/phoneScreenshots/2.png" height=200/> 
<img src="https://github.com/VishnuSanal/WhatsAppCleaner/blob/main/fastlane/metadata/android/en-US/images/phoneScreenshots/3.png" height=200/>

</p>

## Participate in the community

**Communities keep FOSS projects alive.** Without them, projects usually fade into obscurity when the primary developer loses interest or becomes busy in other parts of their life. That's where you come in! You can:
- Read through the [issues](https://github.com/VishnuSanal/WhatsAppCleaner/issues) and give a star to the ones you care about most.
- Open [new issues](https://github.com/VishnuSanal/WhatsAppCleaner/issues/new/choose) with feedback, feature requests, or bug reports.
- Come chat at [Telegram](https://t.me/QuotesStatusCreator).
<!-- - Help translate using [Weblate](https://hosted.weblate.org/engage/quotes-status-creator/). -->

## License
[![GNU GPLv3](https://www.gnu.org/graphics/gplv3-127x51.png)](https://www.gnu.org/licenses/gpl-3.0.en.html)

Note: WhatsAppCleaner is a third-party application that helps in cleaning files generated by WhatsApp, and is not affiliated to or endorsed by WhatsApp itself.
